Koozali.org: home of the SME Server

Problem with PHP and Horde

Offline holck

  • *
  • 295
  • +1/-0
Problem with PHP and Horde
« on: September 17, 2010, 11:07:25 PM »
I don't know what I have done wrong, but lately, when my users use Horde webmail, I get a lot of errors in /var/log/messages like these:
Code: [Select]
Sep 15 01:15:02 anton php: PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/eaccelerator.so' - /usr/lib/php4/eaccelerator.so: undefined symbol: empty_string in Unknown on line 0
Sep 15 01:15:02 anton php: PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/domxml.so' - /usr/lib/php4/domxml.so: undefined symbol: empty_string in Unknown on line 0
Sep 15 01:15:02 anton php: PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/gd.so' - /usr/lib/php4/gd.so: undefined symbol: empty_string in Unknown on line 0
Sep 15 01:15:02 anton php: PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/imap.so' - /usr/lib/php4/imap.so: undefined symbol: zend_hash_add_or_update in Unknown on line 0
Sep 15 01:15:02 anton php: PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/ldap.so' - /usr/lib/php4/ldap.so: undefined symbol: empty_string in Unknown on line 0
Sep 15 01:15:02 anton php: PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/mbstring.so' - /usr/lib/php4/mbstring.so: undefined symbol: empty_string in Unknown on line 0
Sep 15 01:15:02 anton php: PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/mysql.so' - /usr/lib/php4/mysql.so: undefined symbol: empty_string in Unknown on line 0
I have this version of Horde installed:
Code: [Select]
horde-3.3.6-1.el4.sme
e-smith-horde-4.0.0-9.el4.sme
And these PHP-related rpms:
Code: [Select]
e-smith-php-2.0.0-1.el4.sme
php-4.3.9-3.29
php5-cgi-5.3.2-1.el4.sme
php5-cgi-imap-5.3.2-1.el4.sme
php5-cgi-ldap-5.3.2-1.el4.sme
php5-cgi-mysql-5.3.2-1.el4.sme
php5-cgi-pear-5.3.2-1.el4.sme
php5-cgi-xmlrpc-5.3.2-1.el4.sme
php-domxml-4.3.9-3.29
php-gd-4.3.9-3.29
php-imap-4.3.9-3.29
php-ldap-4.3.9-3.29
php-mbstring-4.3.9-3.29
phpmyadmin-2.11.11-1.el4.rf
php-mysql-4.3.9-3.29
php-pear-4.3.9-3.29
php-pear-HTTP-Request-1.4.0-2.el4.sme
php-pear-Net-Socket-1.0.6-1.el4.sme
php-pear-Net-URL-1.0.14-1.el4.sme
php-snmp-4.3.9-3.29
smeserver-php5-cgi-1.0-2.el4.sme
I guess I must have screwed something up - any ideas?
......

Offline Stefano

  • *
  • 10,813
  • +1/-0
Re: Problem with PHP and Horde
« Reply #1 on: September 17, 2010, 11:08:52 PM »
yes..

take a look at your history to see what did you do lately..

did you install anything?

Offline janet

  • ****
  • 4,812
  • +0/-0
Re: Problem with PHP and Horde
« Reply #2 on: September 18, 2010, 01:20:43 AM »
holck

For the root user, you can review the history of issued commands with
cat /root/.bash_history |more
 
Please search before asking, an answer may already exist.
The Search & other links to useful information are at top of Forum.

Offline holck

  • *
  • 295
  • +1/-0
Re: Problem with PHP and Horde
« Reply #3 on: September 20, 2010, 10:58:03 PM »
Thanks - I think the problem was introduced when I installed some PHP5 related rpms: php5-cgi, php5-cgi-imap, etc. I installed those because I wanted to install the latest version (0.4) of Roundcube, another web-interface to email. Now Roundcube works fine, but apparently Horde has problems. Can Horde not co-exist with PHP5?
......

Offline Stefano

  • *
  • 10,813
  • +1/-0
Re: Problem with PHP and Horde
« Reply #4 on: September 20, 2010, 11:05:51 PM »
Thanks - I think the problem was introduced when I installed some PHP5 related rpms: php5-cgi, php5-cgi-imap, etc. I installed those because I wanted to install the latest version (0.4) of Roundcube, another web-interface to email. Now Roundcube works fine, but apparently Horde has problems. Can Horde not co-exist with PHP5?

I have horde working with full php5 (unsupported) upgrade in SME 7.5.1..

I would add that RC is quite buggy, and it has suffered in the past (and I would say it will suffer in the future) of many security break

Offline holck

  • *
  • 295
  • +1/-0
Re: Problem with PHP and Horde (solved)
« Reply #5 on: September 23, 2010, 08:52:57 AM »
I found and solved the problem - I don't know how or why, but I must somehow have overwritten /usr/bin/php with another (older?) version. Reinstalling php
Code: [Select]
rpm -i --replacepkgs php-4.3.9-3.29.i386.rpm
/sbin/e-smith/expand-template /etc/php.ini
seems to have solved the problem.

......